    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.security.Key

public interface Key
extends Serializable

The Key interface is the top-level interface for all keys. It defines the functionality shared by all key objects. All keys have three characteristics:

- An Algorithm

  This is the key algorithm for that key. The key algorithm is usually an encryption or asymmetric operation algorithm (such as DSA or RSA), which will work with those algorithms and with related algorithms (such as MD5 with RSA, SHA-1 with RSA, Raw DSA, etc.) The name of the algorithm of a key is obtained using the getAlgorithm method.

- An Encoded Form

  This is an external encoded form for the key used when a standard representation of the key is needed outside the Java Virtual Machine, as when transmitting the key to some other party. The key is encoded according to a standard format (such as X.509 or PKCS#8), and is returned using the getEncoded method.

- A Format

  This is the name of the format of the encoded key. It is returned by the getFormat method.

Keys are generally obtained through key generators, certificates, or various Identity classes used to manage keys. There are no provisions in this release for the parsing of encoded keys and certificates.

See Also:
  PublicKey, PrivateKey, KeyPair, KeyPairGenerator, Identity, IdentityScope, Signer

##

getAlgorithm()
  Returns the standard algorithm name this key is for.
getEncoded()
  Returns the encoded key.
getFormat()
  Returns the format used to encode the key or null if the key does not support encoding.

##

getAlgorithm

     public abstract String getAlgorithm()

  Returns the standard algorithm name this key is for. For example, "DSA" would indicate that this key is a DSA key. Note that this method may return null, when the algorithm this key is for is unknown.

  See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

  Returns:
    the name of the algorithm this key is for, or null if the algorithm this key is for is unknown.

getFormat

     public abstract String getFormat()

  Returns the format used to encode the key or null if the key does not support encoding.

  Returns:
    the format used to encode the key.

getEncoded

     public abstract byte[] getEncoded()

  Returns the encoded key.

  Returns:
    the encoded key, or null if the key does not support encoding.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.